Debian Bug report logs - #251937
dialog: Should ignore embedded newlines

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: John Hasler <jhasler@debian.org>

Date: Mon, 31 May 2004 19:48:03 UTC

Severity: minor

Found in version 0.9b-20040316-1

Fixed in version dialog/0.9b-20040606-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#251937; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to John Hasler <jhasler@debian.org>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: John Hasler <jhasler@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog: Should ignore embedded newlines
Date: Mon, 31 May 2004 14:36:51 -0500
Package: dialog
Version: 0.9b-20040316-1
Severity: normal



-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux toncho.dhh.gt.org 2.6.4 #1 SMP Tue Mar 23 10:25:42 CST 2004 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages dialog depends on:
ii  debianutils               2.5.2          Miscellaneous utilities specific t
ii  libc6                     2.3.2.ds1-10   GNU C Library: Shared libraries an
ii  libncursesw5              5.3.20030719-5 Shared libraries for terminal hand

-- no debconf information

>From the Dialog man page:

  Without cr-wrap, the layout of your text may be formatted to look nice in the 
  source code of  your  script without affecting the way it will look in the dialog.

However, Dialog behaves as if --cr-wrap is always in effect.






Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#251937; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to john@dhh.gt.org (John Hasler):
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #10 received at 251937@bugs.debian.org (full text, mbox):

From: john@dhh.gt.org (John Hasler)
To: 251937@bugs.debian.org
Subject: dialog: Should ignore embedded newlines
Date: Mon, 31 May 2004 21:40:53 -0500
I guess this is more of a man page bug.  Under --cr-wrap it says

              Without cr-wrap, the layout of your text may be formatted to
              look nice in the source code of your script without affecting
              the way it will look in the dialog.

But I see now that I can achive the result I want with --trim, where the
man page says

              eliminate leading blanks, trim literal newlines and repeated
              blanks from message text.

Too bad Whiptail doesn't support this.

-- 
John Hasler
jhasler@debian.org




Severity set to `minor'. Request was from john@dhh.gt.org (John Hasler) to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to John Hasler <jhasler@debian.org>:
Bug#251937. Full text and rfc822 format available.

Message #15 received at 251937-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 251937-submitter@bugs.debian.org
Subject: Re: Bug#251937: dialog: Should ignore embedded newlines
Date: Tue, 1 Jun 2004 06:00:33 -0400 (EDT)
On Mon, 31 May 2004, John Hasler wrote:

> I guess this is more of a man page bug.  Under --cr-wrap it says
>
>               Without cr-wrap, the layout of your text may be formatted to
>               look nice in the source code of your script without affecting
>               the way it will look in the dialog.
>
> But I see now that I can achive the result I want with --trim, where the
> man page says
>
>               eliminate leading blanks, trim literal newlines and repeated
>               blanks from message text.
>
> Too bad Whiptail doesn't support this.

I seem to recall reading a comment in recent whiptail documentation that
says it doesn't implement unnecessary stuff.  (That's a change from the
earlier assertion that it is a drop-in replacement for dialog, which was
untrue).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#251937; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #20 received at 251937@bugs.debian.org (full text, mbox):

From: dickey@his.com (Thomas Dickey)
To: 251937@bugs.debian.org
Cc: dickey@his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=251937
Date: Sun, 6 Jun 2004 19:11:12 -0400
>                       Debian Bug report logs - #251937
>                    dialog: Should ignore embedded newlines
The resolution on this one seems to just require some minor fixes to the
manpage.  That's done in the 20040606 version.
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to John Hasler <jhasler@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 251937-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 251937-close@bugs.debian.org
Subject: Bug#251937: fixed in dialog 0.9b-20040606-1
Date: Mon, 07 Jun 2004 14:02:03 -0400
Source: dialog
Source-Version: 0.9b-20040606-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_0.9b-20040606-1.diff.gz
  to pool/main/d/dialog/dialog_0.9b-20040606-1.diff.gz
dialog_0.9b-20040606-1.dsc
  to pool/main/d/dialog/dialog_0.9b-20040606-1.dsc
dialog_0.9b-20040606-1_i386.deb
  to pool/main/d/dialog/dialog_0.9b-20040606-1_i386.deb
dialog_0.9b-20040606.orig.tar.gz
  to pool/main/d/dialog/dialog_0.9b-20040606.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 251937@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  7 Jun 2004 19:33:06 +0200
Source: dialog
Binary: dialog
Architecture: source i386
Version: 0.9b-20040606-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 233276 251787 251937
Changes: 
 dialog (0.9b-20040606-1) unstable; urgency=low
 .
   * New upstream release.
   - Added Catalan .po file (Closes: #251787).
   - Improved documentation about wrapping (Closes: #251937).
   - Modified msgbox to allow it to scroll vertically (Closes: #233276).
Files: 
 9a566d57cf5ba3ad57b4dcaf51ec8dbe 596 misc optional dialog_0.9b-20040606-1.dsc
 863ad484f4aca891f5d161d6949dfd1c 278457 misc optional dialog_0.9b-20040606.orig.tar.gz
 da2829d8c678108b809ad1c5d5466361 7377 misc optional dialog_0.9b-20040606-1.diff.gz
 887faeca22d5cf9efcb419078f88a956 172602 misc optional dialog_0.9b-20040606-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAxKm1d9Uuvj7yPNYRAtbRAJ9GSstcHXmEMg9Mm4J97I1gXs1zbwCdEn+0
+aYXfCRj3vg8WnEf/EXEIlg=
=Z+YV
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:00:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.